package com.hzya.frame.plugin.lets.entity;

import com.hzya.frame.web.entity.BaseEntity;

/**
 * (ScOrderB)实体类
 *
 * @author makejava
 * @since 2024-08-23 16:02:35
 */
public class ScOrderBEntity extends BaseEntity {

    private String accinstoreassistnum;
    private String bisactive;
    private String bomversion;
    private String cassistunit;
    private String cbaseid;
    private String ccontractid;
    private String ccontractrcode;
    private String ccontractrowid;
    private String ccurrencytypeid;
    private String cmangid;
    private String coperator;
    private String corderBid;
    private String corderid;
    private String cordersource;
    private String cpriceauditBb1id;
    private String cpriceauditBid;
    private String cpriceauditid;
    private String cprojectid;
    private String cprojectphaseid;
    private String creceiveaddress;
    private String crowno;
    private String csourcebillcode;
    private String csourcebillid;
    private String csourcebillrow;
    private String csourcebillrowno;
    private String cupsourcebillid;
    private String cupsourcebillrowid;
    private String cupsourcebilltype;
    private String cwarehouseid;
    private String dplanarrvdate;
    private String dr;
    private String forderrowstatus;
    private String idiscounttaxtype;
    private String naccumarrvnum;
    private String naccuminvoicenum;
    private String naccumstorenum;
    private String naccumwastnum;
    private String nassistnum;
    private String nbackarrvnum;
    private String nbackstorenum;
    private String ndiscountrate;
    private String newver;
    private String nexchangeotobrate;
    private String nmoney;
    private String nordernum;
    private String norgnettaxprice;
    private String norgtaxprice;
    private String noriginalcurmny;
    private String noriginalcurprice;
    private String noriginalnetprice;
    private String noriginalsummny;
    private String noriginaltaxmny;
    private String nsummny;
    private String ntaxmny;
    private String ntaxrate;
    private String pkCorp;
    private String pkDefdoc1;
    private String pkDefdoc10;
    private String pkDefdoc11;
    private String pkDefdoc12;
    private String pkDefdoc13;
    private String pkDefdoc14;
    private String pkDefdoc15;
    private String pkDefdoc16;
    private String pkDefdoc17;
    private String pkDefdoc18;
    private String pkDefdoc19;
    private String pkDefdoc2;
    private String pkDefdoc20;
    private String pkDefdoc3;
    private String pkDefdoc4;
    private String pkDefdoc5;
    private String pkDefdoc6;
    private String pkDefdoc7;
    private String pkDefdoc8;
    private String pkDefdoc9;
    private String ts;
    private String vdef1;
    private String vdef10;
    private String vdef11;
    private String vdef12;
    private String vdef13;
    private String vdef14;
    private String vdef15;
    private String vdef16;
    private String vdef17;
    private String vdef18;
    private String vdef19;
    private String vdef2;
    private String vdef20;
    private String vdef3;
    private String vdef4;
    private String vdef5;
    private String vdef6;
    private String vdef7;
    private String vdef8;
    private String vdef9;
    private String vfree1;
    private String vfree2;
    private String vfree3;
    private String vfree4;
    private String vfree5;
    private String vmemo;
    private String vpriceauditcode;
    private String vproducenum;
    private String writeoffassistnum;
    private String writeoffnum;


    public String getAccinstoreassistnum() {
        return accinstoreassistnum;
    }

    public void setAccinstoreassistnum(String accinstoreassistnum) {
        this.accinstoreassistnum = accinstoreassistnum;
    }

    public String getBisactive() {
        return bisactive;
    }

    public void setBisactive(String bisactive) {
        this.bisactive = bisactive;
    }

    public String getBomversion() {
        return bomversion;
    }

    public void setBomversion(String bomversion) {
        this.bomversion = bomversion;
    }

    public String getCassistunit() {
        return cassistunit;
    }

    public void setCassistunit(String cassistunit) {
        this.cassistunit = cassistunit;
    }

    public String getCbaseid() {
        return cbaseid;
    }

    public void setCbaseid(String cbaseid) {
        this.cbaseid = cbaseid;
    }

    public String getCcontractid() {
        return ccontractid;
    }

    public void setCcontractid(String ccontractid) {
        this.ccontractid = ccontractid;
    }

    public String getCcontractrcode() {
        return ccontractrcode;
    }

    public void setCcontractrcode(String ccontractrcode) {
        this.ccontractrcode = ccontractrcode;
    }

    public String getCcontractrowid() {
        return ccontractrowid;
    }

    public void setCcontractrowid(String ccontractrowid) {
        this.ccontractrowid = ccontractrowid;
    }

    public String getCcurrencytypeid() {
        return ccurrencytypeid;
    }

    public void setCcurrencytypeid(String ccurrencytypeid) {
        this.ccurrencytypeid = ccurrencytypeid;
    }

    public String getCmangid() {
        return cmangid;
    }

    public void setCmangid(String cmangid) {
        this.cmangid = cmangid;
    }

    public String getCoperator() {
        return coperator;
    }

    public void setCoperator(String coperator) {
        this.coperator = coperator;
    }

    public String getCorderBid() {
        return corderBid;
    }

    public void setCorderBid(String corderBid) {
        this.corderBid = corderBid;
    }

    public String getCorderid() {
        return corderid;
    }

    public void setCorderid(String corderid) {
        this.corderid = corderid;
    }

    public String getCordersource() {
        return cordersource;
    }

    public void setCordersource(String cordersource) {
        this.cordersource = cordersource;
    }

    public String getCpriceauditBb1id() {
        return cpriceauditBb1id;
    }

    public void setCpriceauditBb1id(String cpriceauditBb1id) {
        this.cpriceauditBb1id = cpriceauditBb1id;
    }

    public String getCpriceauditBid() {
        return cpriceauditBid;
    }

    public void setCpriceauditBid(String cpriceauditBid) {
        this.cpriceauditBid = cpriceauditBid;
    }

    public String getCpriceauditid() {
        return cpriceauditid;
    }

    public void setCpriceauditid(String cpriceauditid) {
        this.cpriceauditid = cpriceauditid;
    }

    public String getCprojectid() {
        return cprojectid;
    }

    public void setCprojectid(String cprojectid) {
        this.cprojectid = cprojectid;
    }

    public String getCprojectphaseid() {
        return cprojectphaseid;
    }

    public void setCprojectphaseid(String cprojectphaseid) {
        this.cprojectphaseid = cprojectphaseid;
    }

    public String getCreceiveaddress() {
        return creceiveaddress;
    }

    public void setCreceiveaddress(String creceiveaddress) {
        this.creceiveaddress = creceiveaddress;
    }

    public String getCrowno() {
        return crowno;
    }

    public void setCrowno(String crowno) {
        this.crowno = crowno;
    }

    public String getCsourcebillcode() {
        return csourcebillcode;
    }

    public void setCsourcebillcode(String csourcebillcode) {
        this.csourcebillcode = csourcebillcode;
    }

    public String getCsourcebillid() {
        return csourcebillid;
    }

    public void setCsourcebillid(String csourcebillid) {
        this.csourcebillid = csourcebillid;
    }

    public String getCsourcebillrow() {
        return csourcebillrow;
    }

    public void setCsourcebillrow(String csourcebillrow) {
        this.csourcebillrow = csourcebillrow;
    }

    public String getCsourcebillrowno() {
        return csourcebillrowno;
    }

    public void setCsourcebillrowno(String csourcebillrowno) {
        this.csourcebillrowno = csourcebillrowno;
    }

    public String getCupsourcebillid() {
        return cupsourcebillid;
    }

    public void setCupsourcebillid(String cupsourcebillid) {
        this.cupsourcebillid = cupsourcebillid;
    }

    public String getCupsourcebillrowid() {
        return cupsourcebillrowid;
    }

    public void setCupsourcebillrowid(String cupsourcebillrowid) {
        this.cupsourcebillrowid = cupsourcebillrowid;
    }

    public String getCupsourcebilltype() {
        return cupsourcebilltype;
    }

    public void setCupsourcebilltype(String cupsourcebilltype) {
        this.cupsourcebilltype = cupsourcebilltype;
    }

    public String getCwarehouseid() {
        return cwarehouseid;
    }

    public void setCwarehouseid(String cwarehouseid) {
        this.cwarehouseid = cwarehouseid;
    }

    public String getDplanarrvdate() {
        return dplanarrvdate;
    }

    public void setDplanarrvdate(String dplanarrvdate) {
        this.dplanarrvdate = dplanarrvdate;
    }

    public String getDr() {
        return dr;
    }

    public void setDr(String dr) {
        this.dr = dr;
    }

    public String getForderrowstatus() {
        return forderrowstatus;
    }

    public void setForderrowstatus(String forderrowstatus) {
        this.forderrowstatus = forderrowstatus;
    }

    public String getIdiscounttaxtype() {
        return idiscounttaxtype;
    }

    public void setIdiscounttaxtype(String idiscounttaxtype) {
        this.idiscounttaxtype = idiscounttaxtype;
    }

    public String getNaccumarrvnum() {
        return naccumarrvnum;
    }

    public void setNaccumarrvnum(String naccumarrvnum) {
        this.naccumarrvnum = naccumarrvnum;
    }

    public String getNaccuminvoicenum() {
        return naccuminvoicenum;
    }

    public void setNaccuminvoicenum(String naccuminvoicenum) {
        this.naccuminvoicenum = naccuminvoicenum;
    }

    public String getNaccumstorenum() {
        return naccumstorenum;
    }

    public void setNaccumstorenum(String naccumstorenum) {
        this.naccumstorenum = naccumstorenum;
    }

    public String getNaccumwastnum() {
        return naccumwastnum;
    }

    public void setNaccumwastnum(String naccumwastnum) {
        this.naccumwastnum = naccumwastnum;
    }

    public String getNassistnum() {
        return nassistnum;
    }

    public void setNassistnum(String nassistnum) {
        this.nassistnum = nassistnum;
    }

    public String getNbackarrvnum() {
        return nbackarrvnum;
    }

    public void setNbackarrvnum(String nbackarrvnum) {
        this.nbackarrvnum = nbackarrvnum;
    }

    public String getNbackstorenum() {
        return nbackstorenum;
    }

    public void setNbackstorenum(String nbackstorenum) {
        this.nbackstorenum = nbackstorenum;
    }

    public String getNdiscountrate() {
        return ndiscountrate;
    }

    public void setNdiscountrate(String ndiscountrate) {
        this.ndiscountrate = ndiscountrate;
    }

    public String getNewver() {
        return newver;
    }

    public void setNewver(String newver) {
        this.newver = newver;
    }

    public String getNexchangeotobrate() {
        return nexchangeotobrate;
    }

    public void setNexchangeotobrate(String nexchangeotobrate) {
        this.nexchangeotobrate = nexchangeotobrate;
    }

    public String getNmoney() {
        return nmoney;
    }

    public void setNmoney(String nmoney) {
        this.nmoney = nmoney;
    }

    public String getNordernum() {
        return nordernum;
    }

    public void setNordernum(String nordernum) {
        this.nordernum = nordernum;
    }

    public String getNorgnettaxprice() {
        return norgnettaxprice;
    }

    public void setNorgnettaxprice(String norgnettaxprice) {
        this.norgnettaxprice = norgnettaxprice;
    }

    public String getNorgtaxprice() {
        return norgtaxprice;
    }

    public void setNorgtaxprice(String norgtaxprice) {
        this.norgtaxprice = norgtaxprice;
    }

    public String getNoriginalcurmny() {
        return noriginalcurmny;
    }

    public void setNoriginalcurmny(String noriginalcurmny) {
        this.noriginalcurmny = noriginalcurmny;
    }

    public String getNoriginalcurprice() {
        return noriginalcurprice;
    }

    public void setNoriginalcurprice(String noriginalcurprice) {
        this.noriginalcurprice = noriginalcurprice;
    }

    public String getNoriginalnetprice() {
        return noriginalnetprice;
    }

    public void setNoriginalnetprice(String noriginalnetprice) {
        this.noriginalnetprice = noriginalnetprice;
    }

    public String getNoriginalsummny() {
        return noriginalsummny;
    }

    public void setNoriginalsummny(String noriginalsummny) {
        this.noriginalsummny = noriginalsummny;
    }

    public String getNoriginaltaxmny() {
        return noriginaltaxmny;
    }

    public void setNoriginaltaxmny(String noriginaltaxmny) {
        this.noriginaltaxmny = noriginaltaxmny;
    }

    public String getNsummny() {
        return nsummny;
    }

    public void setNsummny(String nsummny) {
        this.nsummny = nsummny;
    }

    public String getNtaxmny() {
        return ntaxmny;
    }

    public void setNtaxmny(String ntaxmny) {
        this.ntaxmny = ntaxmny;
    }

    public String getNtaxrate() {
        return ntaxrate;
    }

    public void setNtaxrate(String ntaxrate) {
        this.ntaxrate = ntaxrate;
    }

    public String getPkCorp() {
        return pkCorp;
    }

    public void setPkCorp(String pkCorp) {
        this.pkCorp = pkCorp;
    }

    public String getPkDefdoc1() {
        return pkDefdoc1;
    }

    public void setPkDefdoc1(String pkDefdoc1) {
        this.pkDefdoc1 = pkDefdoc1;
    }

    public String getPkDefdoc10() {
        return pkDefdoc10;
    }

    public void setPkDefdoc10(String pkDefdoc10) {
        this.pkDefdoc10 = pkDefdoc10;
    }

    public String getPkDefdoc11() {
        return pkDefdoc11;
    }

    public void setPkDefdoc11(String pkDefdoc11) {
        this.pkDefdoc11 = pkDefdoc11;
    }

    public String getPkDefdoc12() {
        return pkDefdoc12;
    }

    public void setPkDefdoc12(String pkDefdoc12) {
        this.pkDefdoc12 = pkDefdoc12;
    }

    public String getPkDefdoc13() {
        return pkDefdoc13;
    }

    public void setPkDefdoc13(String pkDefdoc13) {
        this.pkDefdoc13 = pkDefdoc13;
    }

    public String getPkDefdoc14() {
        return pkDefdoc14;
    }

    public void setPkDefdoc14(String pkDefdoc14) {
        this.pkDefdoc14 = pkDefdoc14;
    }

    public String getPkDefdoc15() {
        return pkDefdoc15;
    }

    public void setPkDefdoc15(String pkDefdoc15) {
        this.pkDefdoc15 = pkDefdoc15;
    }

    public String getPkDefdoc16() {
        return pkDefdoc16;
    }

    public void setPkDefdoc16(String pkDefdoc16) {
        this.pkDefdoc16 = pkDefdoc16;
    }

    public String getPkDefdoc17() {
        return pkDefdoc17;
    }

    public void setPkDefdoc17(String pkDefdoc17) {
        this.pkDefdoc17 = pkDefdoc17;
    }

    public String getPkDefdoc18() {
        return pkDefdoc18;
    }

    public void setPkDefdoc18(String pkDefdoc18) {
        this.pkDefdoc18 = pkDefdoc18;
    }

    public String getPkDefdoc19() {
        return pkDefdoc19;
    }

    public void setPkDefdoc19(String pkDefdoc19) {
        this.pkDefdoc19 = pkDefdoc19;
    }

    public String getPkDefdoc2() {
        return pkDefdoc2;
    }

    public void setPkDefdoc2(String pkDefdoc2) {
        this.pkDefdoc2 = pkDefdoc2;
    }

    public String getPkDefdoc20() {
        return pkDefdoc20;
    }

    public void setPkDefdoc20(String pkDefdoc20) {
        this.pkDefdoc20 = pkDefdoc20;
    }

    public String getPkDefdoc3() {
        return pkDefdoc3;
    }

    public void setPkDefdoc3(String pkDefdoc3) {
        this.pkDefdoc3 = pkDefdoc3;
    }

    public String getPkDefdoc4() {
        return pkDefdoc4;
    }

    public void setPkDefdoc4(String pkDefdoc4) {
        this.pkDefdoc4 = pkDefdoc4;
    }

    public String getPkDefdoc5() {
        return pkDefdoc5;
    }

    public void setPkDefdoc5(String pkDefdoc5) {
        this.pkDefdoc5 = pkDefdoc5;
    }

    public String getPkDefdoc6() {
        return pkDefdoc6;
    }

    public void setPkDefdoc6(String pkDefdoc6) {
        this.pkDefdoc6 = pkDefdoc6;
    }

    public String getPkDefdoc7() {
        return pkDefdoc7;
    }

    public void setPkDefdoc7(String pkDefdoc7) {
        this.pkDefdoc7 = pkDefdoc7;
    }

    public String getPkDefdoc8() {
        return pkDefdoc8;
    }

    public void setPkDefdoc8(String pkDefdoc8) {
        this.pkDefdoc8 = pkDefdoc8;
    }

    public String getPkDefdoc9() {
        return pkDefdoc9;
    }

    public void setPkDefdoc9(String pkDefdoc9) {
        this.pkDefdoc9 = pkDefdoc9;
    }

    public String getTs() {
        return ts;
    }

    public void setTs(String ts) {
        this.ts = ts;
    }

    public String getVdef1() {
        return vdef1;
    }

    public void setVdef1(String vdef1) {
        this.vdef1 = vdef1;
    }

    public String getVdef10() {
        return vdef10;
    }

    public void setVdef10(String vdef10) {
        this.vdef10 = vdef10;
    }

    public String getVdef11() {
        return vdef11;
    }

    public void setVdef11(String vdef11) {
        this.vdef11 = vdef11;
    }

    public String getVdef12() {
        return vdef12;
    }

    public void setVdef12(String vdef12) {
        this.vdef12 = vdef12;
    }

    public String getVdef13() {
        return vdef13;
    }

    public void setVdef13(String vdef13) {
        this.vdef13 = vdef13;
    }

    public String getVdef14() {
        return vdef14;
    }

    public void setVdef14(String vdef14) {
        this.vdef14 = vdef14;
    }

    public String getVdef15() {
        return vdef15;
    }

    public void setVdef15(String vdef15) {
        this.vdef15 = vdef15;
    }

    public String getVdef16() {
        return vdef16;
    }

    public void setVdef16(String vdef16) {
        this.vdef16 = vdef16;
    }

    public String getVdef17() {
        return vdef17;
    }

    public void setVdef17(String vdef17) {
        this.vdef17 = vdef17;
    }

    public String getVdef18() {
        return vdef18;
    }

    public void setVdef18(String vdef18) {
        this.vdef18 = vdef18;
    }

    public String getVdef19() {
        return vdef19;
    }

    public void setVdef19(String vdef19) {
        this.vdef19 = vdef19;
    }

    public String getVdef2() {
        return vdef2;
    }

    public void setVdef2(String vdef2) {
        this.vdef2 = vdef2;
    }

    public String getVdef20() {
        return vdef20;
    }

    public void setVdef20(String vdef20) {
        this.vdef20 = vdef20;
    }

    public String getVdef3() {
        return vdef3;
    }

    public void setVdef3(String vdef3) {
        this.vdef3 = vdef3;
    }

    public String getVdef4() {
        return vdef4;
    }

    public void setVdef4(String vdef4) {
        this.vdef4 = vdef4;
    }

    public String getVdef5() {
        return vdef5;
    }

    public void setVdef5(String vdef5) {
        this.vdef5 = vdef5;
    }

    public String getVdef6() {
        return vdef6;
    }

    public void setVdef6(String vdef6) {
        this.vdef6 = vdef6;
    }

    public String getVdef7() {
        return vdef7;
    }

    public void setVdef7(String vdef7) {
        this.vdef7 = vdef7;
    }

    public String getVdef8() {
        return vdef8;
    }

    public void setVdef8(String vdef8) {
        this.vdef8 = vdef8;
    }

    public String getVdef9() {
        return vdef9;
    }

    public void setVdef9(String vdef9) {
        this.vdef9 = vdef9;
    }

    public String getVfree1() {
        return vfree1;
    }

    public void setVfree1(String vfree1) {
        this.vfree1 = vfree1;
    }

    public String getVfree2() {
        return vfree2;
    }

    public void setVfree2(String vfree2) {
        this.vfree2 = vfree2;
    }

    public String getVfree3() {
        return vfree3;
    }

    public void setVfree3(String vfree3) {
        this.vfree3 = vfree3;
    }

    public String getVfree4() {
        return vfree4;
    }

    public void setVfree4(String vfree4) {
        this.vfree4 = vfree4;
    }

    public String getVfree5() {
        return vfree5;
    }

    public void setVfree5(String vfree5) {
        this.vfree5 = vfree5;
    }

    public String getVmemo() {
        return vmemo;
    }

    public void setVmemo(String vmemo) {
        this.vmemo = vmemo;
    }

    public String getVpriceauditcode() {
        return vpriceauditcode;
    }

    public void setVpriceauditcode(String vpriceauditcode) {
        this.vpriceauditcode = vpriceauditcode;
    }

    public String getVproducenum() {
        return vproducenum;
    }

    public void setVproducenum(String vproducenum) {
        this.vproducenum = vproducenum;
    }

    public String getWriteoffassistnum() {
        return writeoffassistnum;
    }

    public void setWriteoffassistnum(String writeoffassistnum) {
        this.writeoffassistnum = writeoffassistnum;
    }

    public String getWriteoffnum() {
        return writeoffnum;
    }

    public void setWriteoffnum(String writeoffnum) {
        this.writeoffnum = writeoffnum;
    }

}

